Name: pam_mount 
Version: 1.22
Release: alt2

Summary: Pluggable Authentication Module that can mount volumes for a user session 
License: GPLv2+ and LGPLv2+
Group: System/Libraries
Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>

BuildRequires:  glib2-devel, pam-devel, openssl-devel, libHX-devel libxml2-devel libavahi-devel

Source0: %name-%version.tar
Patch1: pam_mount-%version-%release.patch

%description
This module is aimed at environments with central file servers that a user wishes to mount on login and unmount on logout, such as (semi-)diskless stations where many users can logon and where statically mounting the entire /home from a server is a security risk, or listing all possible volumes in /etc/fstab is not feasible.

%prep
%setup 
%patch1 -p1

%build
%autoreconf
%configure --with-slibdir=%buildroot/%_lib --with-ssbindir=%buildroot/sbin
%make_build

%install
%makeinstall

%files
%doc doc/*.txt
%config(noreplace) %_sysconfdir/security/%name.conf.xml
/%{_lib}/security/*
/usr/sbin/*
/usr/bin/*
/sbin/*
%{_mandir}/man?/*

%changelog
* Tue Apr 21 2009 Andriy Stepanov <stanv@altlinux.ru> 1.22-alt2
- Add avahi support.

* Mon Apr 20 2009 Andriy Stepanov <stanv@altlinux.ru> 1.22-alt1
- New version

* Sat Jan 24 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.15-alt1
- First build for Sisyphus 


